{ user, command ? "Hyprland" }:
{ home-manager, lib, hyprland, ... } @ inputs: let
  pkgs = inputs.nixpkgs.outputs.legacyPackages.x86_64-linux;
  nushell = pkgs.nushell;
in {
  services.greetd = {
    enable = true;
    settings.initial_session = { inherit command; inherit user; };
    settings.default_session.user = "greeter";
    settings.default_session.command = lib.replaceStrings ["\n"] [" "] ''
      ${pkgs.greetd.tuigreet}/bin/tuigreet
      --greeting 'You are running on Chesapeake.'
      --asterisks
      --remember
      --remember-user-session
      --time
      --cmd 'Hyprland'
      '';
  };
}
