{ pkgs, ... }:
{ services.nebula.networks.mesh = {
  enable = true;
  isRelay = false;
  isLighthouse = false;
  lighthouses = [ "10.10.0.1" ];
  cert = "/etc/nebula/chesapeake.crt";
  key = "/etc/nebula/chesapeake.key";
  ca = "/etc/nebula/ca.crt";
  settings = {
    static_host_map = { "10.10.0.1" = ["172.233.232.194:4242"]; };
    punchy = { punch = true; punch_back = true; respond = true; }; };
  firewall = {
    outbound = [ { port = "any"; proto = "any"; host = "any"; } ];
    inbound = [ { port = "any"; proto = "icmp"; host = "any"; } ]; };
}; }
